module TestSelectionObserver
class ProductSelectionObserver < Sketchup::SelectionObserver

	def onSelectionAdded(selection, _entity)
		puts "onSelectionAdded"
		TestSelectionObserver.onProductSelection(selection)
	end

	def onSelectionBulkChange(selection)
		puts "onSelectionBulkChange"
		TestSelectionObserver.onProductSelection(selection)
	end

	def onSelectionCleared(selection)
		puts "onSelectionBulkChange'"
		TestSelectionObserver.onProductSelectionCleared(selection)
	end
end
end